package main

import (
	"context"
	"fmt"
	"os"

	"github.com/jackc/pgx/v4/pgxpool"
)

func connect() *pgxpool.Pool {
    password := os.Getenv("DB_PASSWORD")
    user := os.Getenv("DB_USER")
    host := os.Getenv("DB_HOST")
    table := os.Getenv("DB_TABLE")
	ctx := context.Background()
	pool, err := pgxpool.Connect(ctx, fmt.Sprintf("postgres://%s:%s@%s/%s", user, password, host, table))
	if err != nil {
        fmt.Println("DB connection failed")
		os.Exit(1)
	}
	return pool
}

func ApsInsert(ap Ap){
    
}

func ApsQuery() []Ap {
    var array []Ap
    pool := connect()
    rows, _ := pool.Query(context.Background(), "select * from aps")
    defer rows.Close()
    for rows.Next() {
        var(
            ip string
            bruh int
            name string
            uwec int
        )
        rows.Scan(&uwec, &ip, &name, &bruh)
        array = append(array, Ap{ip, name, bruh})
    }
    return array
}

//func ModelInsert(model ApModel){//}
//func ModelQuery() ApModel {
//}
